GNU bug report logs - #42601
Guix install bug: error: Unbound variable: ~S

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>; dated Wed, 29 Jul 2020 16:11:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 9 Aug 2020 22:25:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 09 18:25:25 2020
Received: from localhost ([127.0.0.1]:33656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k4tkr-0006yu-5I
	for submit <at> debbugs.gnu.org; Sun, 09 Aug 2020 18:25:25 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.233]:42949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k4tkp-0006yf-5R
 for 42601 <at> debbugs.gnu.org; Sun, 09 Aug 2020 18:25:24 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.43.25
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-43-25.dynamic.chello.pl [89.64.43.25])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA
 for <42601 <at> debbugs.gnu.org>; Mon, 10 Aug 2020 00:25:16 +0200 (CEST)
Date: Mon, 10 Aug 2020 00:25:02 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: 42601 <at> debbugs.gnu.org
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200810002502.55df8db7@HIDDEN>
In-Reply-To: <20200729180947.682312e8@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
X-Mailer: Claws Mail 3.17.6 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_/7LU9vqM/Ce7j/ZfCK3CntUO"
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1597011916;
 bh=Lv40+jlIa4rLAE8FaQx2QiuqxuAHaLrdrTPpU9mFGdA=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Subject:
 Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:X-Interia-Antivirus;
 b=kB74/y/tMfEho6YikJxSy20s7vdOHnnknrx2hc37bVlT4DIHexnftXk7MYlLM8ZfZ
 WpHhhjSXMgC6rHgausKbiW7C+OTCBoRaHJx48BvxW0E51Ho8SKEYgEeFci6TJEbTYW
 CzhIQhxpgKE281KanUCeLnCivNi5E/1lOh8HEfAQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--MP_/7LU9vqM/Ce7j/ZfCK3CntUO
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

Hello,

I believe there's still something wrong here.
The bug (the new one, described below) occurs after adding=20
#:use-module (gnu packages avr) to the firmware.scm file.
Attached the diff file of my package below.

I'm packaging qmk-firmware and here's what happens running guix build:

error: binutils: unbound variable
hint: Did you forget a `use-modules' form?

error: googletest: unbound variable
hint: Did you forget a `use-modules' form?

error: bzip2: unbound variable
hint: Did you forget a `use-modules' form?

error: gcc-4.9: unbound variable
hint: Did you forget a `use-modules' form?

error: perl-module-build: unbound variable
hint: Did you forget a `use-modules' form?

error: python2-numpy: unbound variable
hint: Did you forget a `use-modules' form?

error: gzip: unbound variable
hint: Did you forget a `use-modules' form?

error: xcb-proto: unbound variable
hint: Did you forget a `use-modules' form?

error: gnu-make: unbound variable
hint: Did you forget a `use-modules' form?

error: unzip: unbound variable
hint: Did you forget a `use-modules' form?

error: curl: unbound variable
hint: Did you forget a `use-modules' form?

error: binutils: unbound variable
hint: Did you forget a `use-modules' form?

error: pjproject: unbound variable
hint: Did you forget a `use-modules' form?

error: xorg-server: unbound variable
hint: Did you forget a `use-modules' form?

error: libdvdnav: unbound variable
hint: Did you forget a `use-modules' form?

error: perl: unbound variable
hint: Did you forget a `use-modules' form?

error: coreutils: unbound variable
hint: Did you forget a `use-modules' form?

error: libetpan: unbound variable
hint: Did you forget a `use-modules' form?

Throw to key `unbound-variable' with args `("resolve-interface" "no
binding `~A' in module ~A" (python (gnu packages python)) #f)'.
Backtrace: In ice-9/boot-9.scm:
  1736:10 19 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
   631:22 18 (thunk)
   1299:8 17 (call-with-build-handler #<procedure 7fd7f867b420 at g=E2=80=
=A6> =E2=80=A6)
In guix/scripts/build.scm:
    817:2 16 (_)
In srfi/srfi-1.scm:
   673:15 15 (append-map _ _ . _)
   586:17 14 (map1 ((argument . "qmk-firmware") (build-mode . 0) # =E2=80=
=A6))
In guix/scripts/build.scm:
   837:30 13 (_ _)
In gnu/packages.scm:
    477:2 12 (%find-package "qmk-firmware" "qmk-firmware" #f)
    362:6 11 (find-best-packages-by-name _ _)
   292:55 10 (_ "qmk-firmware" _)
In unknown file:
           9 (force #<promise #<procedure 7fd7f9172a00 at gnu/packag=E2=80=
=A6>)
In gnu/packages.scm:
   239:33  8 (fold-packages #<procedure 7fd7f76d6f18 at gnu/package=E2=80=
=A6> =E2=80=A6)
In guix/discovery.scm:
   153:11  7 (all-modules _ #:warn _)
In srfi/srfi-1.scm:
   460:18  6 (fold #<procedure 7fd7f8626300 at guix/discovery.scm:1=E2=80=
=A6> =E2=80=A6)
In guix/discovery.scm:
   143:19  5 (_ _ ())
In srfi/srfi-1.scm:
   691:23  4 (filter-map #<procedure 7fd7f86262c0 at guix/discove=E2=80=A6>=
 . #)
In guix/discovery.scm:
   118:22  3 (_ . _)
In guix/ui.scm:
    329:2  2 (report-unbound-variable-error _ #:frame _)
In ice-9/boot-9.scm:
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Throw to key `match-error' with args `("match" "no matching pattern"
(unbound-variable "resolve-interface" "no binding `~A' in module ~A"
(python (gnu packages python)) #f))'.



Jan Wielkiewicz

--MP_/7LU9vqM/Ce7j/ZfCK3CntUO
Content-Type: text/x-patch
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment; filename=0001-gnu-Add-qmk-firmware.patch

=46rom 39b3791efd06c4895c844548937d421f8359b1e0 Mon Sep 17 00:00:00 2001
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
Date: Sun, 9 Aug 2020 23:43:08 +0200
Subject: [PATCH] gnu: Add qmk-firmware.

* gnu/packages/firmware.scm (qmk-firmware): New variable.
---
 gnu/packages/firmware.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/firmware.scm b/gnu/packages/firmware.scm
index 15a6725c67..a0c65752d4 100644
--- a/gnu/packages/firmware.scm
+++ b/gnu/packages/firmware.scm
@@ -7,6 +7,7 @@
 ;;; Copyright =C2=A9 2018 Vagrant Cascadian <vagrant@HIDDEN>
 ;;; Copyright =C2=A9 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright =C2=A9 2020 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright =C2=A9 2020 Jan Wielkiewicz <tona_kosmicznego_smiecia@interi=
a.pl>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -33,6 +34,8 @@
   #:use-module (gnu packages)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages assembly)
+  #:use-module (gnu packages autotools)
+  #:use-module (gnu packages avr)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages cmake)
@@ -41,6 +44,7 @@
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages perl)
+  #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python))
=20
 (define-public ath9k-htc-firmware
@@ -621,3 +625,36 @@ switching support).\n")
              #t)))))
     (native-inputs `(("cross-gcc" ,(cross-gcc "arm-none-eabi" #:xgcc gcc-7=
))
                      ("cross-binutils" ,(cross-binutils "arm-none-eabi")))=
)))
+
+(define-public qmk-firmware
+  (package
+    (name "qmk-firmware")
+    (version "0.9.50")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/qmk/qmk_firmware")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0153glswflsaslz79k4r7a98rn1p8762qnjjfifzv82gfbcl2jj9"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("autoconf" ,autoconf)
+       ("automake" ,automake)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+                      (delete 'configure))))
+    (home-page "https://qmk.fm/")
+    (synopsis "")
+    (description
+     "")
+    (license (list license:gpl2
+                   license:gpl3
+                   license:expat
+                   license:bsd-3
+                   license:asl2.0))))
--=20
2.28.0


--MP_/7LU9vqM/Ce7j/ZfCK3CntUO--




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 5 Aug 2020 23:53:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 19:53:59 2020
Received: from localhost ([127.0.0.1]:52413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3TEN-0006aQ-2Z
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 19:53:59 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.154]:37878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k3TEJ-0006a9-Ue
 for 42601 <at> debbugs.gnu.org; Wed, 05 Aug 2020 19:53:57 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.43.25
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-43-25.dynamic.chello.pl [89.64.43.25])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Thu,  6 Aug 2020 01:53:49 +0200 (CEST)
Date: Thu, 6 Aug 2020 01:53:41 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: Ludovic =?UTF-8?B?Q291cnTDqHM=?= <ludo@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200806015341.6dc08619@HIDDEN>
In-Reply-To: <878sesomt1.fsf@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
 <20200729214428.0afc9ab4@HIDDEN> <87sgdagjpe.fsf@HIDDEN>
 <20200730001210.2d3617b8@HIDDEN> <87pn8ege77.fsf@HIDDEN>
 <20200731080410.GA3470@LionPure>
 <87imdzo9ox.fsf@HIDDEN>
 <878sesomt1.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.6 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1596671630;
 bh=ZScPM1007DK77WjXZ2TZfBnfybsySInAXka6oMcr+x0=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=vbIUSER9m2GdcP7H2tZiopsc720HolWn4QihaPWoY40OR4LYo4iMffHPZe/hzS1wy
 FSHIE7KIRMCBSsYb8PbQul40+LS1/JeOL/MoWsifJdjdUHmHV5P5hlLGXKrHWYbSUq
 KVfmq7Z4eAcT+/hhGH67bBapAR08u3T/fAjp4TcE=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
Cc: Ricardo Wurmus <rekado@HIDDEN>, 42601 <at> debbugs.gnu.org,
 Bengt Richter <bokr@HIDDEN>, maxim.cournoyer@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dnia 2020-08-05, o godz. 22:33:14
Ludovic Court=C3=A8s <ludo@HIDDEN> napisa=C5=82(a):

> My bad, I believe this is fixed by
> 05f3d34094b23dc9612ff6641a0257bc4f7dcd12.
>=20
> Thanks for reporting the issue!
>=20
> Is this bug closed, though?
>=20
> Ludo=E2=80=99.

I can close it if needed.




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 5 Aug 2020 20:33:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 16:33:26 2020
Received: from localhost ([127.0.0.1]:52310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3Q6I-0000uk-1a
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 16:33:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1k3Q6G-0000uT-Br
 for 42601 <at> debbugs.gnu.org; Wed, 05 Aug 2020 16:33:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35526)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1k3Q6A-00051f-B3; Wed, 05 Aug 2020 16:33:18 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=45828 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1k3Q68-0001wl-A4; Wed, 05 Aug 2020 16:33:16 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: maxim.cournoyer@HIDDEN
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
 <20200729214428.0afc9ab4@HIDDEN> <87sgdagjpe.fsf@HIDDEN>
 <20200730001210.2d3617b8@HIDDEN> <87pn8ege77.fsf@HIDDEN>
 <20200731080410.GA3470@LionPure>
 <87imdzo9ox.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 22:33:14 +0200
In-Reply-To: <87imdzo9ox.fsf@HIDDEN>
 (maxim cournoyer's message of "Mon, 03 Aug 2020 14:39:42 -0400")
Message-ID: <878sesomt1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42601
Cc: Ricardo Wurmus <rekado@HIDDEN>, 42601 <at> debbugs.gnu.org,
 Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>,
 Bengt Richter <bokr@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

> I made a package named "qmk-cli" and it seems Guix doesn't like it.
> Running "./pre-inst-env guix install "qmk-cli"" results in this:
> guix install: error: Unbound variable: ~S

My bad, I believe this is fixed by
05f3d34094b23dc9612ff6641a0257bc4f7dcd12.

Thanks for reporting the issue!

Is this bug closed, though?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 3 Aug 2020 18:39:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 03 14:39:52 2020
Received: from localhost ([127.0.0.1]:46029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2fNI-00039p-4W
	for submit <at> debbugs.gnu.org; Mon, 03 Aug 2020 14:39:52 -0400
Received: from mail-qk1-f193.google.com ([209.85.222.193]:41951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1k2fNF-00039Y-Ou
 for 42601 <at> debbugs.gnu.org; Mon, 03 Aug 2020 14:39:50 -0400
Received: by mail-qk1-f193.google.com with SMTP id l64so29275143qkb.8
 for <42601 <at> debbugs.gnu.org>; Mon, 03 Aug 2020 11:39:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=dgBjrdZrBLbrLQkzE902q7oflRGPcMN1hrcmlMnuyEc=;
 b=Ag6w80rAIpYCm7PZu4r5QD/tG1hQJBh5Vcv+AF/gL/3GeB4N7q0Ig/LlojIDlyHH/E
 CH3ngFXk75cUj/kcsJrDApmOdT0BNhwyCCULEHp7r7v0M0C8wP4HwDN4wxX7gHWRUg8j
 cRcSzg1+wc63Wb+Ypv0cG3qHOsKdwOpZ4UkKW3Xsg9FmhdPpgphu/d02wDqqa1TTpzpJ
 CRwLOLbytJNrD4DRgJ+EJ4ZHNQ+v4hGjBQfOtaAMB95EPndyga/tlCxVIZO+9tM5W1ZI
 VVoDTlVvId/BiNFty0hNl/Qg94R7KfNShCLYz8EcjBqlrBCbcyguSDYqmuBr8WZ0Jbdo
 zuwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=dgBjrdZrBLbrLQkzE902q7oflRGPcMN1hrcmlMnuyEc=;
 b=rXZC2THoN9fqBvZcecFQXs/WLbAnltY3nB6fHbrxq/b5BtSwtl9SKkrGtEUNWxDW4Q
 eQ5xeuOGnThtGJHHL/ra7Yc5kJXwwzqGnPEVR0mojQc/0v3c5eK5N+yJr++ZRuQ5mW2C
 TAUBfewzAmh0X1BCNmi3S29gimDU/3UYstx7LWFCyKY3+UJPDR6uY1g0nOhszO/qaR8b
 caPfZ4ecqJS/PWocvXlXw6IWmGpvFDtwmLzRHf2WT/xDOpQ/38O60Of8e2kp9FUdAyCe
 ESQHoKVZC2jfbkmUKhaPJ6Abf2iswoGaVL2x4b4g/0fmj+Xe9byZfQogWqHRMHfSIREc
 Finw==
X-Gm-Message-State: AOAM532UJgiBODdDQkXTJRkxreoYQW9dBd6IyxEnjex4sfCPrukQCFgZ
 y0yeD3A9RZ28uRJY7PlzhV6hY7B+
X-Google-Smtp-Source: ABdhPJwgD/aVcS5Fa3a5lexK4legQ2cuBvdhLrjN0ekZBnT3UDnzIH3j+3lD1I1F+21WXAp+ohItwQ==
X-Received: by 2002:a05:620a:20dd:: with SMTP id
 f29mr17203964qka.484.1596479983979; 
 Mon, 03 Aug 2020 11:39:43 -0700 (PDT)
Received: from hurd (dsl-154-211.b2b2c.ca. [66.158.154.211])
 by smtp.gmail.com with ESMTPSA id x67sm21165668qke.136.2020.08.03.11.39.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 03 Aug 2020 11:39:43 -0700 (PDT)
From: maxim.cournoyer@HIDDEN
X-Google-Original-From: maxim@HIDDEN
To: Bengt Richter <bokr@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
 <20200729214428.0afc9ab4@HIDDEN> <87sgdagjpe.fsf@HIDDEN>
 <20200730001210.2d3617b8@HIDDEN> <87pn8ege77.fsf@HIDDEN>
 <20200731080410.GA3470@LionPure>
Date: Mon, 03 Aug 2020 14:39:42 -0400
In-Reply-To: <20200731080410.GA3470@LionPure> (Bengt Richter's message of
 "Fri, 31 Jul 2020 10:04:10 +0200")
Message-ID: <87imdzo9ox.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42601
Cc: Ricardo Wurmus <rekado@HIDDEN>, 42601 <at> debbugs.gnu.org,
 Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Bengt Richter <bokr@HIDDEN> writes:

> Hi,
>
> On +2020-07-30 00:15:56 +0200, Ricardo Wurmus wrote:
>>=20
>> Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN> writes:
>>=20
>> > Dnia 2020-07-29, o godz. 22:17:01
>> > Ricardo Wurmus <rekado@HIDDEN> napisa=C5=82(a):
>> >
>> >>=20
>> >> =E2=80=9Cavr-toolchain=E2=80=9D is a procedure, not a package.  Use
>> >> =E2=80=9Cavr-toolchain-4.9=E2=80=9D or =E2=80=9Cavr-toolchain-5=E2=80=
=9D.
>> >>=20
>> >
>> > Success!
>> >
>> > What about the strange message though?
>> > "incorrect package definition" would be better.
>>=20
>> =E2=80=9CUnbound variable: ~S=E2=80=9D looks like a format string with a=
 placeholder
>> that didn=E2=80=99t get replaced with an actual value.  It would be marg=
inally
>> better if it said =E2=80=9CUnbound variable: avr-toolchain=E2=80=9D.
>
> I suspect there are also bugs lurking in the exception-reporting chain be=
tween
> a (throw 'exception args ...) and the ultimate format statement that prod=
uces
> a message with "~S" in it. Perhaps one got fixed or avoided in the upgrad=
e?

That would be my hunch too!  I had reported and tried to fix such problems
here: http://issues.guix.gnu.org/41956.  Still unresolved, it requires
more effort to be fixed properly (writing tests mostly).

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 31 Jul 2020 08:04:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 31 04:04:33 2020
Received: from localhost ([127.0.0.1]:37293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1Q1p-0006bh-G0
	for submit <at> debbugs.gnu.org; Fri, 31 Jul 2020 04:04:33 -0400
Received: from imta-36.everyone.net ([216.200.145.36]:34456
 helo=imta-38.everyone.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1k1Q1m-0006bY-Rb
 for 42601 <at> debbugs.gnu.org; Fri, 31 Jul 2020 04:04:32 -0400
Received: from pps.filterd (omta002.sj2.proofpoint.com [127.0.0.1])
 by imta-38.everyone.net (8.16.0.27/8.16.0.27) with SMTP id 06V81DaL029984;
 Fri, 31 Jul 2020 01:04:29 -0700
X-Eon-Originating-Account: 5yIKLlPQPcaPQtZF1gumlTlStG_vvf93JAebbgdm7Bg
X-Eon-Dm: m0116953.ppops.net
Received: by m0116953.mta.everyone.net (EON-AUTHRELAY2 - 5a81dc5b)
 id m0116953.5ef25221.3c4b82; Fri, 31 Jul 2020 01:04:28 -0700
X-Eon-Sig: AQMHrIJfI9CMUAkm3wIAAAAD,bb73494a9e96cc5775804ac759369f5f
X-Eip: s38O0-h5kfaWPc03Rd3yjOMfXHpoYjsYIL1WONdaE9Q
Date: Fri, 31 Jul 2020 10:04:10 +0200
From: Bengt Richter <bokr@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200731080410.GA3470@LionPure>
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
 <20200729214428.0afc9ab4@HIDDEN> <87sgdagjpe.fsf@HIDDEN>
 <20200730001210.2d3617b8@HIDDEN> <87pn8ege77.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87pn8ege77.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.235, 18.0.687
 definitions=2020-07-31_02:2020-07-31,
 2020-07-31 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1034
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-2006250000
 definitions=main-2007310059
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org,
 Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Bengt Richter <bokr@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

On +2020-07-30 00:15:56 +0200, Ricardo Wurmus wrote:
> 
> Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN> writes:
> 
> > Dnia 2020-07-29, o godz. 22:17:01
> > Ricardo Wurmus <rekado@HIDDEN> napisał(a):
> >
> >> 
> >> “avr-toolchain” is a procedure, not a package.  Use
> >> “avr-toolchain-4.9” or “avr-toolchain-5”.
> >> 
> >
> > Success!
> >
> > What about the strange message though?
> > "incorrect package definition" would be better.
> 
> “Unbound variable: ~S” looks like a format string with a placeholder
> that didn’t get replaced with an actual value.  It would be marginally
> better if it said “Unbound variable: avr-toolchain”.

I suspect there are also bugs lurking in the exception-reporting chain between
a (throw 'exception args ...) and the ultimate format statement that produces
a message with "~S" in it. Perhaps one got fixed or avoided in the upgrade?

It seems like something must receive a malformed (key . args) pair
where the args don't match the standard(?) tuple expected for the key.

I'd look for dynamic format string generation splitting arg strings
and mistakenly recomposing a format string and args for it, such that
"~S" got placed in the arg list instead of string-appended into the
proper final format.

Just a hunch. IIRC I've seen mangling the final format string and its args
wind up with a mismatch in number of args and interpolation "~s" elements
and if not papered over, that gets reported as a formatting error (which it is,
but which hides the real error).

> 
> We should, I think, take advantage of the fact that the type of inputs
> is known: it can only be an origin or a package value.  Perhaps we can
> catch unbound variables in inputs and print a more valuable error
> message.

I think you are right.
And all implicit meta-data should be seen as potential security vulnerabilities IMO :)
Who do you trust to do a reinterpret-cast for you?

> 
> -- 
> Ricardo
> 
> 
> 

-- 
Regards,
Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 22:33:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 18:33:47 2020
Received: from localhost ([127.0.0.1]:33891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0udv-0001Q3-DV
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 18:33:47 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:39417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1k0udt-0001Pm-0o
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 18:33:46 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 68ADB5C0139;
 Wed, 29 Jul 2020 18:33:37 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Wed, 29 Jul 2020 18:33:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=jiK/NuuC1O/58IAKKkKwRgEV2ukPxlDlPdmJGrQUOSY=; b=GcAT+cel3A52
 U/uJFZzyTman59iB3SvnobHzd0DY9FCw1VmwVtOAP+6VUtT+Wa3crsK9IN6cfl6M
 VoPCLT9P96RH9u0pHWiFV1tfRDwJoRER3HH9GxCpDl2h9hw8Jk+zqoQ1IUWrxTIN
 Fvydy3jgu9Kr/29wM8zum8BQgpKQTNY=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=jiK/NuuC1O/58IAKKkKwRgEV2ukPxlDlPdmJGrQUO
 SY=; b=dnXKSqo3Fgdk89MMJq93Qmz19ELj9I58dhJ19XgVqjKqShLSXv1bSM31c
 UK/gfqQgidjjJcxmjRmYEJbDxBVf9/BFhQ1hw110J7D+eBMSYJVH5QqXmhxPa5c4
 abpoWz/7ck//3u2BqriN1N0XCZqXLl4q77InvL6e+EkL/txVPmQ3+wNKnauQnHu8
 VRY8/AerWnm/a7OhVRy6zUGhkbphXJHs/EngD4yHi6DJfuEiUa3TKc4bIUaBZQqG
 MXQprYlgvEs192601HsJPGt3tP1oHAh30jUYCFz8XcCGdkQDIjnHUUQze45HMveV
 qUy/41LrebJj71orrlJ19njJ+v/ag==
X-ME-Sender: <xms:QPkhX9L3Gs1DtfU0gE58NXCtVy0drp_0_RQaMJ8UPxsOw3mmMUL8RA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrieehgdduudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtugfgjgesthekre
 dttddtjeenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepgfduffettedtkeekudfhgfefgfeife
 egueeitedujeffleeiudeuieffgfdugfdunecuffhomhgrihhnpehgnhhurdhorhhgnecu
 kfhppeejfedrudeguddruddvjedrudegieenucevlhhushhtvghrufhiiigvpedtnecurf
 grrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:QPkhX5JMsGjw_ih2nL0umpaGdLA371i25jjP3HY_EvfsHlarWcLhDw>
 <xmx:QPkhX1se1CGGjJ8lS_JiG4pSeHnZYGVs16lnkeAx3ZpEJwXSIUcEQg>
 <xmx:QPkhX-YaXiVy3nmyhpdJ_EM3kl4WvBFl7lSgcSUtgKfFHupVTbj2TQ>
 <xmx:QfkhX62_Ji3rN_Fd9IUslhfmD-6R7HzvmFWLDxissGoKa7CXkCAvIA>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id C9761328005A;
 Wed, 29 Jul 2020 18:33:36 -0400 (EDT)
Date: Wed, 29 Jul 2020 18:33:31 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200729223331.GA10794@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
 <20200729214428.0afc9ab4@HIDDEN> <87sgdagjpe.fsf@HIDDEN>
 <20200730001210.2d3617b8@HIDDEN> <87pn8ege77.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87pn8ege77.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org,
 Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jul 30, 2020 at 12:15:56AM +0200, Ricardo Wurmus wrote:
> “Unbound variable: ~S” looks like a format string with a placeholder
> that didn’t get replaced with an actual value.  It would be marginally
> better if it said “Unbound variable: avr-toolchain”.

The reason I suggested an interface change being responsible for
"Unbound variable: ~S" is that I noticed it a couple days ago after
changes to (guix ui), and it was fixed by `make clean-go`:

http://logs.guix.gnu.org/guix/2020-07-27.log#015055

I think that error message is an example of what can go wrong when using
a development environment without rebuilding everything first.




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 22:16:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 18:16:13 2020
Received: from localhost ([127.0.0.1]:33867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0uMu-0000xX-Em
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 18:16:12 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1k0uMs-0000xO-MX
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 18:16:11 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1596060967; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=a/90gQ9m2P4fFBVd7zJZBvj7/WySCm8ni9PNLItNOjZFDFn+zL37Zm5rkVea/Ud5Zf2K+utJjNoGTi6N6H/Q65fTkvrgUMdWP2N3NgJ3arKU6j7jwh8Y1PH6Lq2lMsgn2kqb0YqbpjJxF5SDJzP1cxJ9deCVoY8Qz+yliWhXCmE=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1596060967;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=+oCSE6Scg14Y0gwAIguxjy9FtDxjjvrjIadjXyRucng=; 
 b=UNYgfMnWUqll8BPgS4MP6X2fl+HP0v31O2vxlXhbuGhS55OMV0iUlqBD09e0JRqDX4LU99vVZMgEsjEIJ4l7iFT5+oN3a3mg7MZc0pIrzXg7e/Aa0B7o81fwsGcK8RixTFLDVb1t+X2xgPcQNEgiV3cRN//Pupphw+DkX2Gvp0U=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1596060967; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=+oCSE6Scg14Y0gwAIguxjy9FtDxjjvrjIadjXyRucng=;
 b=IEYuF574ac8be9hr5dQTSb8sVoSUo3sbQwX0I3V7KGpVyfjymooBloiwupcl7dI2
 O0LhFnGrYsS4yUL8gQMY6L7hsUBnPXMTzGUkPYo7tpTENIxvLTOqvYhHXAjq8o9RMpk
 CNS4XcOuj/KpHmRnGEm6in3RmGWbVBH21tZ9Yexo=
Received: from localhost (p4fd5a9de.dip0.t-ipconnect.de [79.213.169.222]) by
 mx.zohomail.com with SMTPS id 1596060960590937.3964753282561;
 Wed, 29 Jul 2020 15:16:00 -0700 (PDT)
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
 <20200729214428.0afc9ab4@HIDDEN> <87sgdagjpe.fsf@HIDDEN>
 <20200730001210.2d3617b8@HIDDEN>
User-agent: mu4e 1.4.10; emacs 26.3
From: Ricardo Wurmus <rekado@HIDDEN>
To: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
In-reply-to: <20200730001210.2d3617b8@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 30 Jul 2020 00:15:56 +0200
Message-ID: <87pn8ege77.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN> writes:

> Dnia 2020-07-29, o godz. 22:17:01
> Ricardo Wurmus <rekado@HIDDEN> napisa=C5=82(a):
>
>>=20
>> =E2=80=9Cavr-toolchain=E2=80=9D is a procedure, not a package.  Use
>> =E2=80=9Cavr-toolchain-4.9=E2=80=9D or =E2=80=9Cavr-toolchain-5=E2=80=9D.
>>=20
>
> Success!
>
> What about the strange message though?
> "incorrect package definition" would be better.

=E2=80=9CUnbound variable: ~S=E2=80=9D looks like a format string with a pl=
aceholder
that didn=E2=80=99t get replaced with an actual value.  It would be margina=
lly
better if it said =E2=80=9CUnbound variable: avr-toolchain=E2=80=9D.

We should, I think, take advantage of the fact that the type of inputs
is known: it can only be an origin or a package value.  Perhaps we can
catch unbound variables in inputs and print a more valuable error
message.

--=20
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 22:12:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 18:12:30 2020
Received: from localhost ([127.0.0.1]:33863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0uJK-0000rY-01
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 18:12:30 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.152]:43638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k0uJG-0000rI-Kc
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 18:12:28 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.43.25
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-43-25.dynamic.chello.pl [89.64.43.25])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Thu, 30 Jul 2020 00:12:18 +0200 (CEST)
Date: Thu, 30 Jul 2020 00:12:10 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200730001210.2d3617b8@HIDDEN>
In-Reply-To: <87sgdagjpe.fsf@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
 <20200729214428.0afc9ab4@HIDDEN> <87sgdagjpe.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.6 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1596060739;
 bh=iSUoUKPq9Y7vzKWsA93fe9aUTevxyPHGqcKir6KudEk=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=lJ7iKjDPvx9l10m/YkYXF+5J8YDEgjGxqeqrzaAqSALqazRpbaROqc/uatdkecwtn
 z1bxaVa6iph3DC9mP7J7iSTlKmQPWaUrSGiFtyeEqjnHWQyuURAyyHtZZ8LuPENmM+
 MqtQgMqkG1K4GhZz1YVn1G9RqvCrF5JHm2IpfdfE=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dnia 2020-07-29, o godz. 22:17:01
Ricardo Wurmus <rekado@HIDDEN> napisa=C5=82(a):

>=20
> =E2=80=9Cavr-toolchain=E2=80=9D is a procedure, not a package.  Use
> =E2=80=9Cavr-toolchain-4.9=E2=80=9D or =E2=80=9Cavr-toolchain-5=E2=80=9D.
>=20

Success!

What about the strange message though?
"incorrect package definition" would be better.




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 20:17:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 16:17:19 2020
Received: from localhost ([127.0.0.1]:33811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0sVr-0006cn-6A
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 16:17:19 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1k0sVn-0006cd-9S
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 16:17:17 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1596053831; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=HVREXdWDaXJ49+2koBf1r33+hgbn3W/lBdztehFpHQM51iH4jGQCHAOwfOZ5XlcctJC4P6B2m3KabyC3cnmHwDA9sfF8m2b/7g/NacqLe1dHLvyu4POOguDHtvFBF2e/lvwlKwXdWfHzAE4XG4tx+Td2TRQZJ4J96d7cNB7MSfg=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1596053831;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=yfT0zPxtQNtfTlAUU4G2U26/5zxCoZj+wbg9frj8TAw=; 
 b=dHaH8VF8QLi4DX2XrpZaaLB1ksRTZlY0CNmxHLey6zASfDzA7YXgKFd3IrdVIb//gJ/KQrTAJO5t6c5aluhqKBtpR3rGRLPQ7QUsgynTfcVSnnOmwzLXPs1o+sQpTvFCj5C1GLdQcFfrDVBaT3ePAtksuKAZaYtjmZYXIF2a5JE=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1596053831; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=yfT0zPxtQNtfTlAUU4G2U26/5zxCoZj+wbg9frj8TAw=;
 b=G3bAvp5XHOHFBXyHBa7i1iZDaoYJzlt++IfBdtfNiqV/w/+l10QU1v0RB8nnzVYs
 9GKm+rLfY3HMa74HQeyHm35O20LTTUXqvWS60FpW7A+jElYVkvpN/3qM2RuKKhGQUvS
 lRimvB3UXhwDNxkhvPiCWUBQznKFkEoB+C8tykmQ=
Received: from localhost (p4fd5a9de.dip0.t-ipconnect.de [79.213.169.222]) by
 mx.zohomail.com with SMTPS id 159605382580442.36227969576453;
 Wed, 29 Jul 2020 13:17:05 -0700 (PDT)
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
 <20200729214428.0afc9ab4@HIDDEN>
User-agent: mu4e 1.4.10; emacs 26.3
From: Ricardo Wurmus <rekado@HIDDEN>
To: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
In-reply-to: <20200729214428.0afc9ab4@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Wed, 29 Jul 2020 22:17:01 +0200
Message-ID: <87sgdagjpe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN> writes:

> Dnia 2020-07-29, o godz. 19:57:35
> Ricardo Wurmus <rekado@HIDDEN> napisa=C5=82(a):
>
>>=20
>> What is the actual diff?  I see that (gnu packages hardware) does not
>> import (gnu packages avr), so it=E2=80=99s expected that =E2=80=9Cavr-to=
olchain=E2=80=9D
>> cannot be found.
>>=20
>
> Okay, I tested it and it fails on "avr-toolchain", even though I have
> #:use-module (gnu packages avr).

=E2=80=9Cavr-toolchain=E2=80=9D is a procedure, not a package.  Use =E2=80=
=9Cavr-toolchain-4.9=E2=80=9D
or =E2=80=9Cavr-toolchain-5=E2=80=9D.

--=20
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 19:44:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 15:44:40 2020
Received: from localhost ([127.0.0.1]:33783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0s0G-0005r2-6U
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 15:44:40 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.152]:35611)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k0s0D-0005qm-IF
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 15:44:38 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.43.25
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-43-25.dynamic.chello.pl [89.64.43.25])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Wed, 29 Jul 2020 21:44:29 +0200 (CEST)
Date: Wed, 29 Jul 2020 21:44:28 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200729214428.0afc9ab4@HIDDEN>
In-Reply-To: <87v9i6gq5s.fsf@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.6 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1596051869;
 bh=xk5MjDVpgWy+dYUDnve/OWmqz+otixRdyDgRGD2wG0s=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=hiIf/83S93JhnqN75UAo019F1L6NeMZy+EHXf1POSVdBEpC2GnH22odZ0SYh5aq1H
 mfASomxADt8cobzGeOqw25P8QorGP+6RPU/09vBysTgcdf2U9R2nT+CHROVOIsAG5K
 TdVR3zrzA1OGWGqS9aLqaiRIi6KeP6crRIZvJ0ZQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dnia 2020-07-29, o godz. 19:57:35
Ricardo Wurmus <rekado@HIDDEN> napisa=C5=82(a):

>=20
> What is the actual diff?  I see that (gnu packages hardware) does not
> import (gnu packages avr), so it=E2=80=99s expected that =E2=80=9Cavr-too=
lchain=E2=80=9D
> cannot be found.
>=20

Okay, I tested it and it fails on "avr-toolchain", even though I have
#:use-module (gnu packages avr).




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 19:37:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 15:37:04 2020
Received: from localhost ([127.0.0.1]:33779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0rsu-0005gQ-Dp
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 15:37:04 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.152]:60795)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k0rss-0005ft-53
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 15:37:03 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.43.25
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-43-25.dynamic.chello.pl [89.64.43.25])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Wed, 29 Jul 2020 21:36:53 +0200 (CEST)
Date: Wed, 29 Jul 2020 21:36:45 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200729213645.778634e9@HIDDEN>
In-Reply-To: <87v9i6gq5s.fsf@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN> <87v9i6gq5s.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.6 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1596051415;
 bh=LxUrQcH71C1uF0QiI+tK9I/KpvsSOALn/WK5t1y1mzQ=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=hqLwx2j5rtJ4SgeFVBP5wHAFDbcRGjA/9FiLYI/3g1nTBVkR4WlcNpsLy20nZcyR6
 pBs4aoMIL0T+PZY+BeiKiRwel7rZrjggO9DqPAsqaKH4xcre5KlrMAokYkSBV0ClPV
 E68U5qSzLZjDu/AlOWDB8scq5Q/rQMOns5LgHodw=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dnia 2020-07-29, o godz. 19:57:35
Ricardo Wurmus <rekado@HIDDEN> napisa=C5=82(a):

> What is the actual diff?  I see that (gnu packages hardware) does not
> import (gnu packages avr), so it=E2=80=99s expected that =E2=80=9Cavr-too=
lchain=E2=80=9D
> cannot be found.
>=20

Just added it and I get the same result. Anyway, the error message is
useless. I'll try removing some inputs and check what causes this.




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 17:57:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 13:57:51 2020
Received: from localhost ([127.0.0.1]:33655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0qKt-0003Fw-1w
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 13:57:51 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21111)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1k0qKp-0003Fk-0C
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 13:57:49 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1596045464; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=kLAqtRTBDPVcEH1T4PMj/GV/KSRPxa4VU7JBOFnVr94dTtO6v4y6WQvAOO11bdMeptiXFr1z7Lqu5EkRnuotC5vj4ZYUPeHrl2ts64vPZTC/TdqGe5Mir0wsiRT92N66TST1HT1iDHqfih2Gb6JSZNb9IKJ97WnXEdnAYSWZN7s=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1596045464;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=z4hS4yTRBWioBy3/C9Z8ft8BeQ7Iee5PCswIj/3wU34=; 
 b=k+w/g/PyUq/FfkF4AQqEjHI+9/SX9cLnJQvxemTYID+3Gq1NSWa9Ibc2UvVeNBXr6x5/OTRwRrCOJFXoWjDDKV4hXLbvAyVyORDzU4ITL66IcfXPHoe8uw6QJWMMbzWvQDmrIMf5uYuQTho23VdW3eEK5kRLjLOlyH+Wm2wTlqI=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1596045464; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=z4hS4yTRBWioBy3/C9Z8ft8BeQ7Iee5PCswIj/3wU34=;
 b=cI+uv3oLIdkO3/7hbQtHgp0CS6pSbhwRD/r3/3AKXPpnev8Y/j7mcKFoNidAsLL1
 6LKlbj9JjD+bkkLBmpMfM/F86N11yDFsYMcZfU0l+Znix9kWpy4QAX8RXMn+D5WcA74
 LsrptIyR96qEtRRTQD49pCYQ79Nhg+z19Xd0E6es=
Received: from localhost (p4fd5a9de.dip0.t-ipconnect.de [79.213.169.222]) by
 mx.zohomail.com with SMTPS id 1596045458713607.2224871118858;
 Wed, 29 Jul 2020 10:57:38 -0700 (PDT)
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN>
User-agent: mu4e 1.4.10; emacs 26.3
From: Ricardo Wurmus <rekado@HIDDEN>
To: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
In-reply-to: <20200729181647.62f44f79@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Wed, 29 Jul 2020 19:57:35 +0200
Message-ID: <87v9i6gq5s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN> writes:

> It seems it's not about the name, but the package - I changed the name
> to "qmk" and it still doesn't work. Not that this is an excuse for
> writing such a strange message.
>
> Make output:
>
> [100%] GUILEC   gnu/packages/hardware.go
> gnu/packages/hardware.scm:486:4: warning: possibly unbound variable
> `arm-none-eabi-toolchain' gnu/packages/hardware.scm:486:4: warning:
> possibly unbound variable `avr-toolchain'
> gnu/packages/hardware.scm:486:4: warning: possibly unbound variable
> `dfu-programmer' gnu/packages/hardware.scm:486:4: warning: possibly
> unbound variable `dfu-util'

What is the actual diff?  I see that (gnu packages hardware) does not
import (gnu packages avr), so it=E2=80=99s expected that =E2=80=9Cavr-toolc=
hain=E2=80=9D cannot
be found.

--=20
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 17:19:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 13:19:02 2020
Received: from localhost ([127.0.0.1]:33572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0pjK-0002IV-7C
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 13:19:02 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.236]:58847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k0pjH-0002IB-2P
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 13:19:00 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.43.25
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-43-25.dynamic.chello.pl [89.64.43.25])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Wed, 29 Jul 2020 19:18:51 +0200 (CEST)
Date: Wed, 29 Jul 2020 19:18:38 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200729191838.2da4c643@HIDDEN>
In-Reply-To: <20200729170059.GA3703@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN>
 <20200729170059.GA3703@HIDDEN>
X-Mailer: Claws Mail 3.17.6 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1596043132;
 bh=qvp2zKq9XNSP0Wq58jv7N2QnVWyyFnpTPqmfu7HfU1M=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=SZlCzQRHjzPweKPc7etHRMRzRRErJAYOz2svxhmZIlVNa1qWUElfqnArDsv9Iu1pU
 lQezfBmeP6gmvmNxmq1fnoxKeOzPTPS95afHNDK5ahY2McxTcr3C2j6Z2XZ5KkyZNe
 6mkun8EPF1urS/Y7ar1T0IYW996AqYY6vRiZdezU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dnia 2020-07-29, o godz. 13:00:59
Leo Famulari <leo@HIDDEN> napisa=C5=82(a):

> On Wed, Jul 29, 2020 at 06:16:47PM +0200, Jan Wielkiewicz wrote:
> > It seems it's not about the name, but the package - I changed the
> > name to "qmk" and it still doesn't work. Not that this is an excuse
> > for writing such a strange message.
>=20
> I think some interface changed elsewhere in the codebase and these
> errors are confusing. Try `make clean-go && make` before using the
> ./pre-inst-env script again.

Same thing, didn't work




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 17:01:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 13:01:14 2020
Received: from localhost ([127.0.0.1]:33566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0pS6-0001tk-Lu
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 13:01:14 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:58017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1k0pS4-0001tX-HC
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 13:01:13 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 049A15C00EE;
 Wed, 29 Jul 2020 13:01:07 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Wed, 29 Jul 2020 13:01:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=nosAIr+SkqE9cOM5NiGTBHy6
 vku1G0u0JbebeMrE6XU=; b=HMPSUDzqjwqPk8cJ013V+o1a6EnR1uRgvrNno8Pt
 HRRTE0TSOz5eZVjwMyaDyRNqIHDuW7yaIWD2M0bo2GWTDbQisRj1eNqx0+36eJAO
 zk9yv3ELHt8yGRID1lNNEFypVR1qXCONquIReoLaLdiNd5jJ30lxIc3K6ty/D7SY
 8XY=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=nosAIr
 +SkqE9cOM5NiGTBHy6vku1G0u0JbebeMrE6XU=; b=EYHGTB/LA/Dd5TT1JkagvJ
 sjRM2tlNMlZjSF8EaiiG1Xz4YazwMfniiOVRQA0EE1s7zEWeQS3QDmgEcUbXaQgA
 7PdLhBELn9xSt54Ep6TV7na/diNtspYVa8SfuPUXLTAACgzy/xX5xb7GH5ckWRfV
 7UVF1il//7VjFkQG+3b6mfX+dyGPqaeC6ObgjUEqwIWQo8KN+8xWBkQNYcDr3MOM
 5NPpMV2TbXV8BbpGEYDvXqyywly9ZdyHwCSXJvLfTMNWrrASqwDNhvNFMmBxRalY
 rV/NvPnb9OnvGyUffFnLGDQgABwRnZYl6xcyB/sPHLMIBZO2sdTA+TdRoJ5JLNRw
 ==
X-ME-Sender: <xms:UqshX-x6xQsFzI0bD24uTB5HyLrR9R2Uk_E7refvCb-vAjhmWRCCoQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrieeggddutdekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepueekkedtffdvtddugeejgedtvefhue
 efiedvjeeitdeigedtveejvdejheffvefgnecukfhppeejfedrudeguddruddvjedrudeg
 ieenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvg
 hosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:UqshX6R6C7FWmOtKVjIpl4VwRsRvgHVSvQxhvkS29qDhrBkaCGJL4g>
 <xmx:UqshXwXoovCBoCMia1iX9JrHDRS0Iw0_e__G13kO1DNfASy_H3tHLw>
 <xmx:UqshX0i0UFGvsx9EU8A_iEyocQOadzYzjOe0RFgSmhYWG8mEe_oyeg>
 <xmx:UqshXzPXORAmjhDQcm67m-B_q1zQzqo6P0uXTcFtqIQYxkxAgk-faA>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 563D03280066;
 Wed, 29 Jul 2020 13:01:06 -0400 (EDT)
Date: Wed, 29 Jul 2020 13:00:59 -0400
From: Leo Famulari <leo@HIDDEN>
To: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200729170059.GA3703@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
 <20200729181647.62f44f79@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20200729181647.62f44f79@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
Cc: 42601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Jul 29, 2020 at 06:16:47PM +0200, Jan Wielkiewicz wrote:
> It seems it's not about the name, but the package - I changed the name
> to "qmk" and it still doesn't work. Not that this is an excuse for
> writing such a strange message.

I think some interface changed elsewhere in the codebase and these
errors are confusing. Try `make clean-go && make` before using the
./pre-inst-env script again.




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at 42601 <at> debbugs.gnu.org:


Received: (at 42601) by debbugs.gnu.org; 29 Jul 2020 16:16:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 12:16:56 2020
Received: from localhost ([127.0.0.1]:33545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0olE-0000oh-LR
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 12:16:56 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.236]:34026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k0olC-0000oT-RB
 for 42601 <at> debbugs.gnu.org; Wed, 29 Jul 2020 12:16:55 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.43.25
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-43-25.dynamic.chello.pl [89.64.43.25])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA
 for <42601 <at> debbugs.gnu.org>; Wed, 29 Jul 2020 18:16:47 +0200 (CEST)
Date: Wed, 29 Jul 2020 18:16:47 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: 42601 <at> debbugs.gnu.org
Subject: Re: bug#42601: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200729181647.62f44f79@HIDDEN>
In-Reply-To: <20200729180947.682312e8@HIDDEN>
References: <20200729180947.682312e8@HIDDEN>
X-Mailer: Claws Mail 3.17.6 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1596039408;
 bh=FA701Qk1QSRBSWM+ZqTTxgiXFBU4vRz9+jnab5vtvr0=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Subject:
 Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=N4T8qcUza0vSnu/7tfKVBG2b0cR010ZLuzKb0PRXZOcCop2uP+hHqaELWcitAokCa
 LfUHIpkkeeHIa/hbjlzuorEI0uW2Lx0/TAMWLzdPUnnCa/d4d4E7T+SWGsKGi9/0Xc
 lFv6z+zRsyoKVGNCFTh9iqCYkQg3V57RaDIzJhaI=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42601
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

It seems it's not about the name, but the package - I changed the name
to "qmk" and it still doesn't work. Not that this is an excuse for
writing such a strange message.

Make output:

[100%] GUILEC   gnu/packages/hardware.go
gnu/packages/hardware.scm:486:4: warning: possibly unbound variable
`arm-none-eabi-toolchain' gnu/packages/hardware.scm:486:4: warning:
possibly unbound variable `avr-toolchain'
gnu/packages/hardware.scm:486:4: warning: possibly unbound variable
`dfu-programmer' gnu/packages/hardware.scm:486:4: warning: possibly
unbound variable `dfu-util'

My wip package:

(define-public qmk
  (package
   (name "qmk")
   (version "0.0.35")
   (source
    (origin
     (method url-fetch)
     (uri (pypi-uri "qmk" version))
     (sha256
      (base32
       "1dd3q38r5bs9ih8jiwsb7q2655wyka2a8wlwv7yln9narlqwl177"))))
   (build-system python-build-system)
   (propagated-inputs
    `(("arm-none-eabi-toolchain" ,arm-none-eabi-toolchain)
      ("avr-toolchain" ,avr-toolchain)
      ("dfu-programmer" ,dfu-programmer)
      ("dfu-util" ,dfu-util)
      ("python3" ,python)
      ("python-appdirs" ,python-appdirs)
      ("python-argcomplete" ,python-argcomplete)
      ("python-colorama" ,python-colorama)
      ("python-flake8" ,python-flake8)
      ("python-hjson" ,python-hjson)
      ("python-nose2" ,python-nose2)
      ("python-yapf" ,python-yapf)))
   (arguments
    `(#:tests? #f)) ; no tests
   (home-page "https://github.com/qmk/qmk_cli")
   (synopsis
    "Work with QMK Firmware")
   (description
    "A program to help users work with QMK Firmware.")
   (license license:expat)))

Jan Wielkiewicz




Information forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jul 2020 16:10:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 12:10:15 2020
Received: from localhost ([127.0.0.1]:33533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0oel-0000e4-10
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 12:10:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:40940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k0oei-0000dw-Az
 for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 12:10:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57692)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k0oeg-0001pu-J1
 for bug-guix@HIDDEN; Wed, 29 Jul 2020 12:10:11 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.236]:34901)
 by eggs.gnu.org with esmtps (TLS1.2:RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1k0oec-0001pA-NW
 for bug-guix@HIDDEN; Wed, 29 Jul 2020 12:10:10 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.43.25
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-43-25.dynamic.chello.pl [89.64.43.25])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA
 for <bug-guix@HIDDEN>; Wed, 29 Jul 2020 18:10:00 +0200 (CEST)
Date: Wed, 29 Jul 2020 18:09:47 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: bug-guix@HIDDEN
Subject: Guix install bug: error: Unbound variable: ~S
Message-ID: <20200729180947.682312e8@HIDDEN>
X-Mailer: Claws Mail 3.17.6 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1596039001;
 bh=4h9FXiHYF3CtaGwbXoh0/Mjk+iDpBdBS3s0GrtSoxDw=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Subject:
 Message-ID:X-Mailer:MIME-Version:Content-Type:
 Content-Transfer-Encoding:X-Interia-Antivirus;
 b=sMMxWfMnXpqmlu9q3ERvjGFIqPY7Qoz9VQ+QhlzOParw4nhO9vB17Slp9sd4e/ipb
 /OSmuSxQGea7UlpFkLn6pxeVcydnOfCHCQi4S5TwY/BIzohaUJ2RXe6Z6x1op5x+H7
 oIeAGx9wzcyvEiMlWfYa0UzF2TZqi9FP7O8rQVzw=
Received-SPF: pass client-ip=217.74.65.236;
 envelope-from=tona_kosmicznego_smiecia@HIDDEN;
 helo=smtpo.poczta.interia.pl
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/29 12:10:01
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x (no timestamps) [generic]
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello,

I made a package named "qmk-cli" and it seems Guix doesn't like it.
Running "./pre-inst-env guix install "qmk-cli"" results in this:
guix install: error: Unbound variable: ~S


Jan Wielkiewicz




Acknowledgement sent to Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#42601; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 9 Aug 2020 22:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.